GET
/
v2
/
outbound
/
drafts
/
{draft_id}
Get one outbound send draft
curl --request GET \
  --url https://api-v2.watchcollect.com/v2/outbound/drafts/{draft_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "actor_user_id": "<string>",
  "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "session_name": "<string>",
  "session_label": "<string>",
  "group_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "text": "<string>",
  "media": [
    {
      "url": "https://watchatic-media.example/outbound/org_123/watch.jpg",
      "mimetype": "image/jpeg",
      "filename": "watch.jpg",
      "sha256": "9a0364b9e99bb480dd25e1f0284c8555",
      "size_bytes": 238991,
      "storage_key": "outbound/org_123/20260511T025700.000-watch.jpg"
    }
  ],
  "created_at_ms": 123,
  "updated_at_ms": 123,
  "schedule": {
    "first_run_at_ms": 1777809600000,
    "interval_ms": 3600000,
    "max_occurrences": 3
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

draft_id
string<uuid>
required

Response

Outbound send draft.

id
string<uuid>
required
actor_user_id
string
required

Clerk user id that owns this draft. Only this actor can read or delete it.

session_id
string<uuid>
required
session_name
string
required
session_label
string
required
group_ids
string<uuid>[]
required
text
string
required
media
object[]
required
created_at_ms
integer<int64>
required
updated_at_ms
integer<int64>
required
schedule
object
Example:
{
"first_run_at_ms": 1777809600000,
"interval_ms": 3600000,
"max_occurrences": 3
}